summaryrefslogtreecommitdiffstats
path: root/source/ap/gphoto2/gphoto2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/gphoto2/gphoto2.SlackBuild')
-rwxr-xr-xsource/ap/gphoto2/gphoto2.SlackBuild16
1 files changed, 12 insertions, 4 deletions
diff --git a/source/ap/gphoto2/gphoto2.SlackBuild b/source/ap/gphoto2/gphoto2.SlackBuild
index f4415d142..73d7a669e 100755
--- a/source/ap/gphoto2/gphoto2.SlackBuild
+++ b/source/ap/gphoto2/gphoto2.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gphoto2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
@@ -37,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -74,7 +82,7 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/gphoto2-${VERSION} \
--without-cdk \
--enable-static=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1